## python-ceilometerclient 2.8.0

=== debian/changelog ===
python-ceilometerclient (2.8.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Jan 2017 14:57:37 +0000

python-ceilometerclient (2.8.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 09:17:54 -0500

python-ceilometerclient (2.7.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Nov 2016 08:47:31 -0500

python-ceilometerclient (2.6.1-0ubuntu1) yakkety; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Change directory to $ADTTMP before running Debian tests
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * .gitreview: Copy from orig tar file.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Rebased.
  * ceilometerclient/v2/client.py: Copy from orig tar file.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Sep 2016 12:27:24 -0400

=== debian/control ===
Source: python-ceilometerclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 3.6),
                     python-fixtures (>= 1.3.1),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 2.1.0),
                     python-mock (>= 1.2),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.17.0),
                     python-oslosphinx (>= 2.5.0),
                     python-prettytable (>= 0.7),
                     python-requests (>= 2.8.1),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.1.2),
                     python-stevedore (>= 1.10.0),
                     python-tempest (>= 1:11.0.0),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python3-coverage (>= 3.6),
                     python3-fixtures (>= 1.3.1),
                     python3-iso8601 (>= 0.1.11),
                     python3-keystoneauth1 (>= 2.1.0),
                     python3-mock (>= 1.2),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.17.0),
                     python3-oslosphinx (>= 2.5.0),
                     python3-prettytable (>= 0.7),
                     python3-requests (>= 2.8.1),
                     python3-six (>= 1.9.0),
                     python3-sphinx (>= 1.1.2),
                     python3-stevedore (>= 1.10.0),
                     python3-subunit,
                     python3-tempest (>= 1:11.0.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ceilometerclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ceilometerclient
Homepage: http://www.openstack.org
XS-Testsuite: autopkgtest

Package: python-ceilometerclient
Architecture: all
Depends: python-iso8601,
         python-keystoneauth1 (>= 2.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-prettytable,
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.10.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-ceilometerclient-doc
Description: Client library for Openstack Ceilometer API server - Python 2.7
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").
 .
 This package contains the Python 2.7 module.

Package: python3-ceilometerclient
Architecture: all
Depends: python3-iso8601,
         python3-keystoneauth1 (>= 2.1.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.10.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-ceilometerclient-doc
Description: Client library for Openstack Ceilometer API server - Python 3.x
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").
 .
 This package contains the Python 3.x module.

Package: python-ceilometerclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Client library for Openstack Ceilometer API server - doc
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").
 .
 This package contains the documentation.

## python-ceilometerclient 2.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
iso8601>=0.1.11 # MIT
keystoneauth1>=2.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.17.0 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.10.0 # Apache-2.0

=== debian/changelog ===
python-ceilometerclient (2.9.0-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michal Arbet ]
  * d/copyright: Add me
  * d/control: Add me to uploaders field
  * Rebuild with newest oslosphinx (Closes: #955091)

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 24 Apr 2020 19:12:04 +0200

python-ceilometerclient (2.9.0-5) unstable; urgency=medium

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #936079).
  * Add do-not-call-execfile.patch.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Bump Standards-Version to 4.4.0.
  * Fix autopkgtests after Python 2 remove.
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2019 16:30:24 +0200

python-ceilometerclient (2.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:46:43 +0000

python-ceilometerclient (2.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Change directory to $ADTTMP before running Debian tests
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.
  * Remove test patch.
  * Removed XS-Testsuite: field.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2017 19:31:50 +0200

=== debian/control ===
Source: python-ceilometerclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-mock,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.20.0),
 python3-oslosphinx,
 python3-prettytable,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-subunit,
 python3-tempest,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ceilometerclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ceilometerclient.git
Homepage: http://www.openstack.org

Package: python-ceilometerclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for Openstack Ceilometer API server - doc
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").
 .
 This package contains the documentation.

Package: python3-ceilometerclient
Architecture: all
Depends:
 python3-iso8601,
 python3-keystoneauth1,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.20.0),
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ceilometerclient-doc,
Description: Client library for Openstack Ceilometer API server - Python 3.x
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

MANIFEST_EXCLUDE_STANDARD := ceilometerclient
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .testrepository doc/man

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ceilometerclient\.tests\.unit\.(?!.*test_client.ClientAuthTest\.test_discover_auth_versions.*)'
endif
	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-ceilometerclient-doc/usr/share/doc/python-ceilometerclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	sphinx-build -b man doc/source doc/man
#	mv doc/man/python-ceilometerclient.1 doc/man/ceilometer.1
#	sed -i s/python-ceilometerclient/python-ceilometerclient/ doc/man/ceilometer.1
#	dh_installman -O--buildsystem=python_distutils
#endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: client
Depends:
 python3-ceilometerclient,

Depends:
 python3-ceilometerclient,
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import ceilometerclient; print(ceilometerclient.__version__)"
